from sqlalchemy import *
from migrate import *

indexNames = ['goodsitemadditionalexcisemarkidx', 'stornogoodsitemadditionalexcisemarkidx', 'documentsourceidentifieridx', 'alcosetitemadditionalexcisemarkidx']
tablesName = ['goodsitem', 'stornogoodsitem', 'document', 'alcosetitem']
columnNames = ['additionalexcisemark', 'additionalexcisemark', 'sourceidentifier', 'additionalexcisemark']


def getTable(tableName, meta):
    return Table(tableName, meta, autoload=True)


def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    for tableName, indexName, columnName in zip(tablesName, indexNames, columnNames):
        tbl = getTable(tableName, meta)
        if indexName not in [ind.name for ind in tbl.indexes]:
            Index(indexName, getattr(tbl.c, columnName), unique=False).create(migrate_engine)


def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    for tableName, indexName, columnName in zip(tablesName, indexNames, columnNames):
        tbl = getTable(tableName, meta)
        if indexName in [ind.name for ind in tbl.indexes]:
            Index(indexName, getattr(tbl.c, columnName), unique=False).drop(migrate_engine)
